<?php

	$vw_dark_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$vw_dark_first_color = get_theme_mod('vw_dark_first_color');

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.main-navigation ul.sub-menu>li>a:before, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, #sidebar h3, .woocommerce span.onsale, .toggle-nav button,.breadcrumbs a:hover, .breadcrumbs span,.post-categories li a, #sidebar label.wp-block-search__label, #sidebar .wp-block-heading, .wp-block-button__link,#footer .tagcloud a:hover,a.wc-block-components-checkout-return-to-cart-button,.woocommerce-cart  .wc-block-grid .wc-block-grid__product-onsale{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary-item__quantity{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_first_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='p.site-title a, .logo h1 a, .logo p.site-description, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h2 a, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover, #comments a.comment-reply-link:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .pro-button a:hover,.main-navigation a,.search-box i,.bar-icon a,.main-navigation ul ul a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.pro-button a:hover,.post-categories li a{';
			$vw_dark_custom_css .='border-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	if($vw_dark_first_color != false){
		$vw_dark_custom_css .='.main-header{';
			$vw_dark_custom_css .='border-bottom-color: '.esc_attr($vw_dark_first_color).';';
		$vw_dark_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_width_option','Full Width');
    if($vw_dark_theme_lay == 'Boxed'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Wide Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Full Width'){
		$vw_dark_custom_css .='body{';
			$vw_dark_custom_css .='max-width: 100%;';
		$vw_dark_custom_css .='}';
	}

	/*-------------------Slider Height ------------*/

	$vw_dark_slider_height = get_theme_mod('vw_dark_slider_height');
	if($vw_dark_slider_height != false){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='height: '.esc_attr($vw_dark_slider_height).';';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='@media screen and (max-width:575px){
		#slider img{';
			$vw_dark_custom_css .='height: auto;';
		$vw_dark_custom_css .='} }';
	}

		/*--------------------------- Slider Opacity -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_slider_opacity_color','0.7');
	if($vw_dark_theme_lay == '0'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.1'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.1';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.2'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.2';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.3'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.3';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.4'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.4';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.5'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.5';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.6'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.6';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.7'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.7';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.8'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.8';
		$vw_dark_custom_css .='}';
		}else if($vw_dark_theme_lay == '0.9'){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:0.9';
		$vw_dark_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$vw_dark_slider_image_overlay = get_theme_mod('vw_dark_slider_image_overlay', true);
	if($vw_dark_slider_image_overlay == false){
		$vw_dark_custom_css .='#slider img{';
			$vw_dark_custom_css .='opacity:1;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_slider_image_overlay_color = get_theme_mod('vw_dark_slider_image_overlay_color', true);
	if($vw_dark_slider_image_overlay_color != false){
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_slider_image_overlay_color).';';
		$vw_dark_custom_css .='}';
	}


	/*----------------Responsive Media -----------------------*/

	$vw_dark_resp_stickyheader = get_theme_mod( 'vw_dark_stickyheader_hide_show',false);
	if($vw_dark_resp_stickyheader == true && get_theme_mod( 'vw_dark_sticky_header',false) != true){
    	$vw_dark_custom_css .='.main-header.header-sticky.header-fixed{';
			$vw_dark_custom_css .='position:static;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_stickyheader == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='.main-header.header-sticky.header-fixed{';
			$vw_dark_custom_css .='position:fixed;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_stickyheader == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.main-header.header-sticky.header-fixed{';
			$vw_dark_custom_css .='position:static;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_slider = get_theme_mod( 'vw_dark_resp_slider_hide_show',true);
	if($vw_dark_resp_slider == true && get_theme_mod( 'vw_dark_slider_hide_show', true) == false){
    	$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_slider == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_slider == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#slider{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$vw_dark_custom_css .='margin-top: 45px;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_sidebar = get_theme_mod( 'vw_dark_sidebar_hide_show',true);
    if($vw_dark_resp_sidebar == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:block;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_sidebar == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='display:none;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_scroll_top = get_theme_mod( 'vw_dark_resp_scroll_top_hide_show',true);
	if($vw_dark_resp_scroll_top == true && get_theme_mod( 'vw_dark_hide_show_scroll',true) == false){
    	$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} ';
	}
    if($vw_dark_resp_scroll_top == true){
    	$vw_dark_custom_css .='@media screen and (max-width:575px) {';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:visible !important;';
		$vw_dark_custom_css .='} }';
	}else if($vw_dark_resp_scroll_top == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px){';
		$vw_dark_custom_css .='.scrollup i{';
			$vw_dark_custom_css .='visibility:hidden !important;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_dark_resp_menu_toggle_btn_bg_color');
	if($vw_dark_resp_menu_toggle_btn_bg_color != false){
		$vw_dark_custom_css .='.toggle-nav button,.sidenav .closebtn, .left-menu .closebtn{';
			$vw_dark_custom_css .='background: '.esc_attr($vw_dark_resp_menu_toggle_btn_bg_color).';';
		$vw_dark_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_dark_button_border_radius = get_theme_mod('vw_dark_button_border_radius');
	if($vw_dark_button_border_radius != false){
		$vw_dark_custom_css .='.post-main-box .more-btn a{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_button_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_button_top_bottom_padding = get_theme_mod('vw_dark_button_top_bottom_padding');
	$vw_dark_button_left_right_padding = get_theme_mod('vw_dark_button_left_right_padding');
	if($vw_dark_button_top_bottom_padding != false || $vw_dark_button_left_right_padding != false){
		$vw_dark_custom_css .='.post-main-box .more-btn a{';
			$vw_dark_custom_css .='padding-top: '.esc_attr($vw_dark_button_top_bottom_padding).'!important; padding-bottom: '.esc_attr($vw_dark_button_top_bottom_padding).'!important;padding-left: '.esc_attr($vw_dark_button_left_right_padding).'!important;padding-right: '.esc_attr($vw_dark_button_left_right_padding).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_button_font_size = get_theme_mod('vw_dark_button_font_size',14);
	$vw_dark_custom_css .='.more-btn a{';
		$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_button_font_size).';';
	$vw_dark_custom_css .='}';

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_button_text_transform','Uppercase');
	if($vw_dark_theme_lay == 'Capitalize'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Capitalize;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Lowercase'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Lowercase;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Uppercase'){
		$vw_dark_custom_css .='.more-btn a{';
			$vw_dark_custom_css .='text-transform:Uppercase;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_button_letter_spacing = get_theme_mod('vw_dark_button_letter_spacing');
	$vw_dark_custom_css .='.post-main-box .more-btn a{';
		$vw_dark_custom_css .='letter-spacing: '.esc_attr($vw_dark_button_letter_spacing).';';
	$vw_dark_custom_css .='}';

	/*---------------------------Blog Layout -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_blog_layout_option','Default');
    if($vw_dark_theme_lay == 'Default'){
		$vw_dark_custom_css .='.post-main-box{';
			$vw_dark_custom_css .='';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Center'){
		$vw_dark_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$vw_dark_custom_css .='text-align:center;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info{';
			$vw_dark_custom_css .='margin-top:10px;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info hr{';
			$vw_dark_custom_css .='margin:15px auto;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_theme_lay == 'Left'){
		$vw_dark_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$vw_dark_custom_css .='text-align:Left;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-info hr{';
			$vw_dark_custom_css .='margin-bottom:10px;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='.post-main-box h2{';
			$vw_dark_custom_css .='margin-top:10px;';
		$vw_dark_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$vw_dark_blog_page_posts_settings = get_theme_mod( 'vw_dark_blog_page_posts_settings','Into Blocks');
    if($vw_dark_blog_page_posts_settings == 'Without Blocks'){
		$vw_dark_custom_css .='.post-main-box{';
			$vw_dark_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_dark_custom_css .='}';
	}

	// featured image dimention
	$vw_dark_blog_post_featured_image_dimension = get_theme_mod('vw_dark_blog_post_featured_image_dimension', 'default');
	$vw_dark_blog_post_featured_image_custom_width = get_theme_mod('vw_dark_blog_post_featured_image_custom_width',250);
	$vw_dark_blog_post_featured_image_custom_height = get_theme_mod('vw_dark_blog_post_featured_image_custom_height',250);
	if($vw_dark_blog_post_featured_image_dimension == 'custom'){
		$vw_dark_custom_css .='.box-image img{';
			$vw_dark_custom_css .='width: '.esc_attr($vw_dark_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_dark_blog_post_featured_image_custom_height).';';
		$vw_dark_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/
	$vw_dark_copyright_background_color = get_theme_mod('vw_dark_copyright_background_color');
	if($vw_dark_copyright_background_color != false){
		$vw_dark_custom_css .='#footer-2{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_copyright_background_color).';';
		$vw_dark_custom_css .='}';
	} 

	$vw_dark_footer_padding = get_theme_mod('vw_dark_footer_padding');
	if($vw_dark_footer_padding != false){
		$vw_dark_custom_css .='#footer{';
		$vw_dark_custom_css .='padding: '.esc_attr($vw_dark_footer_padding).' !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_widgets_heading = get_theme_mod( 'vw_dark_footer_widgets_heading','Left');
    if($vw_dark_footer_widgets_heading == 'Left'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$vw_dark_custom_css .='text-align: left;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_heading == 'Center'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_dark_custom_css .='text-align: center;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_heading == 'Right'){
		$vw_dark_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_dark_custom_css .='text-align: right;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_widgets_content = get_theme_mod( 'vw_dark_footer_widgets_content','Left');
    if($vw_dark_footer_widgets_content == 'Left'){
		$vw_dark_custom_css .='#footer .widget{';
		$vw_dark_custom_css .='text-align: left;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_content == 'Center'){
		$vw_dark_custom_css .='#footer .widget{';
			$vw_dark_custom_css .='text-align: center;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_footer_widgets_content == 'Right'){
		$vw_dark_custom_css .='#footer .widget{';
			$vw_dark_custom_css .='text-align: right;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_copyright_alingment = get_theme_mod('vw_dark_copyright_alingment');
	if($vw_dark_copyright_alingment != false){
		$vw_dark_custom_css .='.copyright p,#footer-2 p{';
			$vw_dark_custom_css .='text-align: '.esc_attr($vw_dark_copyright_alingment).';';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 p{';
			$vw_dark_custom_css .='text-align: center;} }';
	}

	$vw_dark_resp_stickycopyright = get_theme_mod( 'vw_dark_stickycopyright_hide_show',false);
	if($vw_dark_resp_stickycopyright == true && get_theme_mod( 'vw_dark_copyright_sticky',false) != true){
    	$vw_dark_custom_css .='.copyright-sticky{';
			$vw_dark_custom_css .='position:static;';
		$vw_dark_custom_css .='} ';
	}

	$vw_dark_footer_social_icons_font_size = get_theme_mod('vw_dark_footer_social_icons_font_size','16');
	$vw_dark_custom_css .='.copyright .widget i{';
		$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_footer_social_icons_font_size).'px;';
	$vw_dark_custom_css .='}';

	$vw_dark_align_footer_social_icon = get_theme_mod('vw_dark_align_footer_social_icon');
	if($vw_dark_align_footer_social_icon != false){
		$vw_dark_custom_css .='.copyright .widget{';
			$vw_dark_custom_css .='text-align: '.esc_attr($vw_dark_align_footer_social_icon).';';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$vw_dark_custom_css .='text-align: center;} }';
	}

	$vw_dark_footer_icon = get_theme_mod('vw_dark_footer_icon');
	if($vw_dark_footer_icon == false){
		$vw_dark_custom_css .='.copyright p{';
			$vw_dark_custom_css .='width:100%; text-align:center; float:none;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_background_image = get_theme_mod('vw_dark_footer_background_image');
	if($vw_dark_footer_background_image != false){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background: url('.esc_attr($vw_dark_footer_background_image).');';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_background_color = get_theme_mod('vw_dark_footer_background_color');
	if($vw_dark_footer_background_color != false){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_footer_background_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_img_footer','scroll');
	if($vw_dark_theme_lay == 'fixed'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background-attachment: fixed !important;';
		$vw_dark_custom_css .='}';
	}elseif ($vw_dark_theme_lay == 'scroll'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background-attachment: scroll !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_img_position = get_theme_mod('vw_dark_footer_img_position','center center');
	if($vw_dark_footer_img_position != false){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background-position: '.esc_attr($vw_dark_footer_img_position).'!important;';
		$vw_dark_custom_css .='}';
	} 

	$vw_dark_copyright_font_size = get_theme_mod('vw_dark_copyright_font_size');
	if($vw_dark_copyright_font_size != false){
		$vw_dark_custom_css .='.copyright p, .copyright a{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_copyright_font_size).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_copyright_font_weight = get_theme_mod('vw_dark_copyright_font_weight');
	if($vw_dark_copyright_font_weight != false){
		$vw_dark_custom_css .='.copyright p, .copyright a{';
			$vw_dark_custom_css .='font-weight: '.esc_attr($vw_dark_copyright_font_weight).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_copyright_text_color = get_theme_mod('vw_dark_copyright_text_color');
	if($vw_dark_copyright_text_color != false){
		$vw_dark_custom_css .='.copyright p, .copyright a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_copyright_text_color).';';
		$vw_dark_custom_css .='}';
	} 

	/*------------------ Logo  -------------------*/

	$vw_dark_logo_padding = get_theme_mod('vw_dark_logo_padding');
	if($vw_dark_logo_padding != false){
		$vw_dark_custom_css .='.main-header .logo{';
			$vw_dark_custom_css .='padding: '.esc_attr($vw_dark_logo_padding).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_logo_margin = get_theme_mod('vw_dark_logo_margin');
	if($vw_dark_logo_margin != false){
		$vw_dark_custom_css .='.main-header .logo{';
			$vw_dark_custom_css .='margin: '.esc_attr($vw_dark_logo_margin).';';
		$vw_dark_custom_css .='}';
	}

	// Site title Font Size
	$vw_dark_site_title_font_size = get_theme_mod('vw_dark_site_title_font_size');
	if($vw_dark_site_title_font_size != false){
		$vw_dark_custom_css .='.logo h1, .logo p.site-title{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_title_font_size).';';
		$vw_dark_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_dark_site_tagline_font_size = get_theme_mod('vw_dark_site_tagline_font_size');
	if($vw_dark_site_tagline_font_size != false){
		$vw_dark_custom_css .='.logo p.site-description{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_site_tagline_font_size).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_site_title_color = get_theme_mod('vw_dark_site_title_color');
	if($vw_dark_site_title_color != false){
		$vw_dark_custom_css .='p.site-title a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_site_title_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_site_tagline_color = get_theme_mod('vw_dark_site_tagline_color');
	if($vw_dark_site_tagline_color != false){
		$vw_dark_custom_css .='.logo p.site-description{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_site_tagline_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_logo_width = get_theme_mod('vw_dark_logo_width');
	if($vw_dark_logo_width != false){
		$vw_dark_custom_css .='.logo img{';
			$vw_dark_custom_css .='width: '.esc_attr($vw_dark_logo_width).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_logo_height = get_theme_mod('vw_dark_logo_height');
	if($vw_dark_logo_height != false){
		$vw_dark_custom_css .='.logo img{';
			$vw_dark_custom_css .='height: '.esc_attr($vw_dark_logo_height).';';
		$vw_dark_custom_css .='}';
	}

	// Woocommerce img

	$vw_dark_shop_featured_image_border_radius = get_theme_mod('vw_dark_shop_featured_image_border_radius', 0);
	if($vw_dark_shop_featured_image_border_radius != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product a img{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_shop_featured_image_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_shop_featured_image_box_shadow = get_theme_mod('vw_dark_shop_featured_image_box_shadow');
	if($vw_dark_shop_featured_image_box_shadow != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product a img{';
				$vw_dark_custom_css .='box-shadow: '.esc_attr($vw_dark_shop_featured_image_box_shadow).'px '.esc_attr($vw_dark_shop_featured_image_box_shadow).'px '.esc_attr($vw_dark_shop_featured_image_box_shadow).'px #ddd;';
		$vw_dark_custom_css .='}';
	}

	// Menus

	$vw_dark_header_menus_color = get_theme_mod('vw_dark_header_menus_color');
	if($vw_dark_header_menus_color != false){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_menus_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_menus_hover_color = get_theme_mod('vw_dark_header_menus_hover_color');
	if($vw_dark_header_menus_hover_color != false){
		$vw_dark_custom_css .='.main-navigation a:hover{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_menus_hover_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_submenus_color = get_theme_mod('vw_dark_header_submenus_color');
	if($vw_dark_header_submenus_color != false){
		$vw_dark_custom_css .='.main-navigation ul ul a{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_submenus_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_submenus_hover_color = get_theme_mod('vw_dark_header_submenus_hover_color');
	if($vw_dark_header_submenus_hover_color != false){
		$vw_dark_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_dark_custom_css .='color: '.esc_attr($vw_dark_header_submenus_hover_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_menus_item = get_theme_mod( 'vw_dark_menus_item_style','None');
    if($vw_dark_menus_item == 'None'){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_menus_item == 'Zoom In'){
		$vw_dark_custom_css .='.main-navigation a:hover{';
			$vw_dark_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #000;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_navigation_menu_font_weight = get_theme_mod('vw_dark_navigation_menu_font_weight','500');
	if($vw_dark_navigation_menu_font_weight != false){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='font-weight: '.esc_attr($vw_dark_navigation_menu_font_weight).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_menu_text_transform','Capitalize');
	if($vw_dark_theme_lay == 'Capitalize'){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='text-transform:Capitalize;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Lowercase'){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='text-transform:Lowercase;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Uppercase'){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='text-transform:Uppercase;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_navigation_menu_font_size = get_theme_mod('vw_dark_navigation_menu_font_size');
	if($vw_dark_navigation_menu_font_size != false){
		$vw_dark_custom_css .='.main-navigation a{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_navigation_menu_font_size).';';
		$vw_dark_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_dark_preloader_bg_color = get_theme_mod('vw_dark_preloader_bg_color');
	if($vw_dark_preloader_bg_color != false){
		$vw_dark_custom_css .='#preloader{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_preloader_bg_color).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_preloader_border_color = get_theme_mod('vw_dark_preloader_border_color');
	if($vw_dark_preloader_border_color != false){
		$vw_dark_custom_css .='.loader-line{';
			$vw_dark_custom_css .='border-color: '.esc_attr($vw_dark_preloader_border_color).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_preloader_bg_img = get_theme_mod('vw_dark_preloader_bg_img');
	if($vw_dark_preloader_bg_img != false){
		$vw_dark_custom_css .='#preloader{';
			$vw_dark_custom_css .='background: url('.esc_attr($vw_dark_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_dark_custom_css .='}';
	}

	// Header Background Color

	$vw_dark_header_background_color = get_theme_mod('vw_dark_header_background_color');
	if($vw_dark_header_background_color != false){
		$vw_dark_custom_css .='.main-header{';
			$vw_dark_custom_css .='background-color: '.esc_attr($vw_dark_header_background_color).';';
		$vw_dark_custom_css .='}';
	}

	// Slider CSS
	// if(get_theme_mod('vw_dark_slider_hide_show') == false){
	// 	$vw_dark_custom_css .=' .page-template-custom-home-page .main-header{';
	// 			$vw_dark_custom_css .=' position: static; border-bottom: 1px solid #000;';
	// 	$vw_dark_custom_css .='}';
	// 	$vw_dark_custom_css .=' .page-template-custom-home-page p.site-title a, .page-template-custom-home-page .logo h1 a, .page-template-custom-home-page .logo p.site-description{';
	// 			$vw_dark_custom_css .=' color: #000;';
	// 	$vw_dark_custom_css .='}';
	// }

	/*---------------- Single Blog Page Settings ------------------*/

	$vw_dark_single_blog_comment_title = get_theme_mod('vw_dark_single_blog_comment_title', 'Leave a Reply');
	if($vw_dark_single_blog_comment_title == ''){
		$vw_dark_custom_css .='#comments h2#reply-title {';
			$vw_dark_custom_css .='display: none;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_single_blog_comment_button_text = get_theme_mod('vw_dark_single_blog_comment_button_text', 'Post Comment');
	if($vw_dark_single_blog_comment_button_text == ''){
		$vw_dark_custom_css .='#comments p.form-submit {';
			$vw_dark_custom_css .='display: none;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_comment_width = get_theme_mod('vw_dark_single_blog_comment_width');
	if($vw_dark_comment_width != false){
		$vw_dark_custom_css .='#comments textarea{';
			$vw_dark_custom_css .='width: '.esc_attr($vw_dark_comment_width).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_single_blog_post_navigation_show_hide = get_theme_mod('vw_dark_single_blog_post_navigation_show_hide',true);
	if($vw_dark_single_blog_post_navigation_show_hide != true){
		$vw_dark_custom_css .='.post-navigation{';
			$vw_dark_custom_css .='display: none;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_singlepost_image_box_shadow = get_theme_mod('vw_dark_singlepost_image_box_shadow',0);
	if($vw_dark_singlepost_image_box_shadow != false){
		$vw_dark_custom_css .='.feature-box img{';
			$vw_dark_custom_css .='box-shadow: '.esc_attr($vw_dark_singlepost_image_box_shadow).'px '.esc_attr($vw_dark_singlepost_image_box_shadow).'px '.esc_attr($vw_dark_singlepost_image_box_shadow).'px #cccccc;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_related_image_box_shadow = get_theme_mod('vw_dark_related_image_box_shadow',0);
	if($vw_dark_related_image_box_shadow != false){
		$vw_dark_custom_css .='.related-post .box-image img{';
			$vw_dark_custom_css .='box-shadow: '.esc_attr($vw_dark_related_image_box_shadow).'px '.esc_attr($vw_dark_related_image_box_shadow).'px '.esc_attr($vw_dark_related_image_box_shadow).'px #cccccc;';
		$vw_dark_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_dark_related_product_show_hide = get_theme_mod('vw_dark_related_product_show_hide',true);
	if($vw_dark_related_product_show_hide != true){
		$vw_dark_custom_css .='.related.products{';
			$vw_dark_custom_css .='display: none;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_header_img_position = get_theme_mod('vw_dark_header_img_position','center top');
	if($vw_dark_header_img_position != false){
		$vw_dark_custom_css .='.main-header{';
			$vw_dark_custom_css .='background-position: '.esc_attr($vw_dark_header_img_position).'!important;';
		$vw_dark_custom_css .='}';
	} 

	/*--------------------- Grid Posts Posts -------------------*/

	$vw_dark_display_grid_posts_settings = get_theme_mod( 'vw_dark_display_grid_posts_settings','Into Blocks');
    if($vw_dark_display_grid_posts_settings == 'Without Blocks'){
		$vw_dark_custom_css .='.grid-post-main-box{';
			$vw_dark_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_grid_featured_image_box_shadow = get_theme_mod('vw_dark_grid_featured_image_box_shadow',0);
	if($vw_dark_grid_featured_image_box_shadow != false){
		$vw_dark_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_dark_custom_css .='box-shadow: '.esc_attr($vw_dark_grid_featured_image_box_shadow).'px '.esc_attr($vw_dark_grid_featured_image_box_shadow).'px '.esc_attr($vw_dark_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_grid_featured_image_border_radius = get_theme_mod('vw_dark_grid_featured_image_border_radius', 0);
	if($vw_dark_grid_featured_image_border_radius != false){
		$vw_dark_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_grid_featured_image_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_dark_social_icon_font_size = get_theme_mod('vw_dark_social_icon_font_size');
	if($vw_dark_social_icon_font_size != false){
		$vw_dark_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_social_icon_font_size).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_social_icon_padding = get_theme_mod('vw_dark_social_icon_padding');
	if($vw_dark_social_icon_padding != false){
		$vw_dark_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_dark_custom_css .='padding: '.esc_attr($vw_dark_social_icon_padding).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_social_icon_width = get_theme_mod('vw_dark_social_icon_width');
	if($vw_dark_social_icon_width != false){
		$vw_dark_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_dark_custom_css .='width: '.esc_attr($vw_dark_social_icon_width).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_social_icon_height = get_theme_mod('vw_dark_social_icon_height');
	if($vw_dark_social_icon_height != false){
		$vw_dark_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_dark_custom_css .='height: '.esc_attr($vw_dark_social_icon_height).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_social_icon_border_radius = get_theme_mod('vw_dark_social_icon_border_radius');
	if($vw_dark_social_icon_border_radius != false){
		$vw_dark_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_social_icon_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$vw_dark_button_footer_heading_letter_spacing = get_theme_mod('vw_dark_button_footer_heading_letter_spacing',1);
	$vw_dark_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_dark_custom_css .='letter-spacing: '.esc_attr($vw_dark_button_footer_heading_letter_spacing).'px;';
	$vw_dark_custom_css .='}';

	$vw_dark_button_footer_font_size = get_theme_mod('vw_dark_button_footer_font_size','30');
	$vw_dark_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_button_footer_font_size).'px;';
	$vw_dark_custom_css .='}';

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_button_footer_text_transform','Capitalize');
	if($vw_dark_theme_lay == 'Capitalize'){
		$vw_dark_custom_css .='#footer h3{';
			$vw_dark_custom_css .='text-transform:Capitalize;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Lowercase'){
		$vw_dark_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_dark_custom_css .='text-transform:Lowercase;';
		$vw_dark_custom_css .='}';
	}
	if($vw_dark_theme_lay == 'Uppercase'){
		$vw_dark_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_dark_custom_css .='text-transform:Uppercase;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_footer_heading_weight = get_theme_mod('vw_dark_footer_heading_weight','600');
	if($vw_dark_footer_heading_weight != false){
		$vw_dark_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_dark_custom_css .='font-weight: '.esc_attr($vw_dark_footer_heading_weight).';';
		$vw_dark_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_dark_theme_lay = get_theme_mod( 'vw_dark_footer_template','vw_dark-footer-one');
    if($vw_dark_theme_lay == 'vw_dark-footer-one'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='';
		$vw_dark_custom_css .='}';

	}else if($vw_dark_theme_lay == 'vw_dark-footer-two'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_dark_custom_css .='color:#000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer ul li::before{';
			$vw_dark_custom_css .='background:#000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_dark_custom_css .='border: 1px solid #000;';
		$vw_dark_custom_css .='}';

	}else if($vw_dark_theme_lay == 'vw_dark-footer-three'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background: #232524;';
		$vw_dark_custom_css .='}';
	}
	else if($vw_dark_theme_lay == 'vw_dark-footer-four'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background: #f7f7f7;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_dark_custom_css .='color:#000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer ul li::before{';
			$vw_dark_custom_css .='background:#000;';
		$vw_dark_custom_css .='}';
		$vw_dark_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_dark_custom_css .='border: 1px solid #000;';
		$vw_dark_custom_css .='}';
	}
	else if($vw_dark_theme_lay == 'vw_dark-footer-five'){
		$vw_dark_custom_css .='#footer{';
			$vw_dark_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_dark_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_dark_related_product_show_hide = get_theme_mod('vw_dark_related_product_show_hide',true);
	if($vw_dark_related_product_show_hide != true){
		$vw_dark_custom_css .='.related.products{';
			$vw_dark_custom_css .='display: none;';
		$vw_dark_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_dark_products_padding_top_bottom = get_theme_mod('vw_dark_products_padding_top_bottom');
	if($vw_dark_products_padding_top_bottom != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_dark_custom_css .='padding-top: '.esc_attr($vw_dark_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_dark_products_padding_top_bottom).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_padding_left_right = get_theme_mod('vw_dark_products_padding_left_right');
	if($vw_dark_products_padding_left_right != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_dark_custom_css .='padding-left: '.esc_attr($vw_dark_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_dark_products_padding_left_right).'!important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_box_shadow = get_theme_mod('vw_dark_products_box_shadow');
	if($vw_dark_products_box_shadow != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_dark_custom_css .='box-shadow: '.esc_attr($vw_dark_products_box_shadow).'px '.esc_attr($vw_dark_products_box_shadow).'px '.esc_attr($vw_dark_products_box_shadow).'px #ddd;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_border_radius = get_theme_mod('vw_dark_products_border_radius');
	if($vw_dark_products_border_radius != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_products_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_btn_padding_top_bottom = get_theme_mod('vw_dark_products_btn_padding_top_bottom');
	if($vw_dark_products_btn_padding_top_bottom != false){
		$vw_dark_custom_css .='.woocommerce a.button{';
			$vw_dark_custom_css .='padding-top: '.esc_attr($vw_dark_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_dark_products_btn_padding_top_bottom).' !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_btn_padding_left_right = get_theme_mod('vw_dark_products_btn_padding_left_right');
	if($vw_dark_products_btn_padding_left_right != false){
		$vw_dark_custom_css .='.woocommerce a.button{';
			$vw_dark_custom_css .='padding-left: '.esc_attr($vw_dark_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($vw_dark_products_btn_padding_left_right).' !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_products_button_border_radius = get_theme_mod('vw_dark_products_button_border_radius', 0);
	if($vw_dark_products_button_border_radius != false){
		$vw_dark_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce a.button{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_products_button_border_radius).'px !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_woocommerce_sale_position = get_theme_mod( 'vw_dark_woocommerce_sale_position','right');
    if($vw_dark_woocommerce_sale_position == 'left'){
		$vw_dark_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_dark_custom_css .='left: 12px !important; right: auto !important;';
		$vw_dark_custom_css .='}';
	}else if($vw_dark_woocommerce_sale_position == 'right'){
		$vw_dark_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_dark_custom_css .='left: auto!important; right: 0 !important;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_woocommerce_sale_font_size = get_theme_mod('vw_dark_woocommerce_sale_font_size');
	if($vw_dark_woocommerce_sale_font_size != false){
		$vw_dark_custom_css .='.woocommerce span.onsale{';
			$vw_dark_custom_css .='font-size: '.esc_attr($vw_dark_woocommerce_sale_font_size).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_woocommerce_sale_padding_top_bottom = get_theme_mod('vw_dark_woocommerce_sale_padding_top_bottom');
	if($vw_dark_woocommerce_sale_padding_top_bottom != false){
		$vw_dark_custom_css .='.woocommerce span.onsale{';
			$vw_dark_custom_css .='padding-top: '.esc_attr($vw_dark_woocommerce_sale_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_dark_woocommerce_sale_padding_top_bottom).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_woocommerce_sale_padding_left_right = get_theme_mod('vw_dark_woocommerce_sale_padding_left_right');
	if($vw_dark_woocommerce_sale_padding_left_right != false){
		$vw_dark_custom_css .='.woocommerce span.onsale{';
			$vw_dark_custom_css .='padding-left: '.esc_attr($vw_dark_woocommerce_sale_padding_left_right).'; padding-right: '.esc_attr($vw_dark_woocommerce_sale_padding_left_right).';';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_woocommerce_sale_border_radius = get_theme_mod('vw_dark_woocommerce_sale_border_radius', 0);
	if($vw_dark_woocommerce_sale_border_radius != false){
		$vw_dark_custom_css .='.woocommerce span.onsale{';
			$vw_dark_custom_css .='border-radius: '.esc_attr($vw_dark_woocommerce_sale_border_radius).'px;';
		$vw_dark_custom_css .='}';
	}

	$vw_dark_responsive_preloader_hide = get_theme_mod('vw_dark_responsive_preloader_hide',false);
	if($vw_dark_responsive_preloader_hide == true && get_theme_mod('vw_dark_loader_enable',false) == false){
		$vw_dark_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_dark_custom_css .='display:none !important;';
		$vw_dark_custom_css .='} }';
	}

	if($vw_dark_responsive_preloader_hide == false){
		$vw_dark_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_dark_custom_css .='display:none !important;';
		$vw_dark_custom_css .='} }';
	}

	$vw_dark_breadcrumbs_alignment = get_theme_mod( 'vw_dark_breadcrumbs_alignment','Left');
    if($vw_dark_breadcrumbs_alignment == 'Left'){
    	$vw_dark_custom_css .='@media screen and (min-width:768px) {';
		$vw_dark_custom_css .='.breadcrumbs{';
			$vw_dark_custom_css .='text-align:start;';
		$vw_dark_custom_css .='}}';
	}else if($vw_dark_breadcrumbs_alignment == 'Center'){
		$vw_dark_custom_css .='@media screen and (min-width:768px) {';
		$vw_dark_custom_css .='.breadcrumbs{';
			$vw_dark_custom_css .='text-align:center;';
		$vw_dark_custom_css .='}}';
	}else if($vw_dark_breadcrumbs_alignment == 'Right'){
		$vw_dark_custom_css .='@media screen and (min-width:768px) {';
		$vw_dark_custom_css .='.breadcrumbs{';
			$vw_dark_custom_css .='text-align:end;';
		$vw_dark_custom_css .='}}';
	}

	// sticky sidebar
		$vw_dark_resp_stickysidebar = get_theme_mod( 'vw_dark_stickysidebar_hide_show',false);
	if($vw_dark_resp_stickysidebar == true && get_theme_mod( 'vw_dark_sticky_sidebar',false) != true){
		$vw_dark_custom_css .= '@media (min-width: 768px) {';
    	$vw_dark_custom_css .='#sidebar{';
			$vw_dark_custom_css .='position:static;';
		$vw_dark_custom_css .='} ';
		$vw_dark_custom_css .= '}';
	}
    // First Letter Capital
	$vw_dark_show_first_caps = get_theme_mod('vw_dark_show_first_caps', false);
	if ($vw_dark_show_first_caps ) {
	    $vw_dark_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $vw_dark_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $vw_dark_custom_css .='}';
	} else {
		$vw_dark_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $vw_dark_custom_css .= 'display: none;';
	    $vw_dark_custom_css .='}';
	}
	// Featured hover image effect //
	$vw_dark_show_featured = get_theme_mod( 'vw_dark_featured_image_hide_show', 1 );
	$vw_dark_hover_effect  = get_theme_mod( 'vw_dark_featured_image_hover', 'none' );

	if ( $vw_dark_show_featured && $vw_dark_hover_effect !== 'none' ) {

		$vw_dark_custom_css .= '
		.vw-dark-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $vw_dark_hover_effect === 'zoom-in' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $vw_dark_hover_effect === 'zoom-out' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image img{
				transform: scale(1.2);
			}
			.vw-dark-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $vw_dark_hover_effect === 'grayscale' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image img{
				filter: grayscale(100%);
			}
			.vw-dark-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $vw_dark_hover_effect === 'sepia' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $vw_dark_hover_effect === 'blur' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $vw_dark_hover_effect === 'bright' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $vw_dark_hover_effect === 'translate' ) {
			$vw_dark_custom_css .= '
			.vw-dark-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
